AllegroGL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - g -

- g : allegro_gl_rgba_size
- g_shift : allegro_gl_display_info
- GenAsyncMarkersSGIX : AGL_EXT
- GenBuffers : AGL_EXT
- GenBuffersARB : AGL_EXT
- GenerateMipmapEXT : AGL_EXT
- GenFencesAPPLE : AGL_EXT
- GenFencesNV : AGL_EXT
- GenFragmentShadersATI : AGL_EXT
- GenFramebuffersEXT : AGL_EXT
- GenOcclusionQueriesNV : AGL_EXT
- GenProgramsARB : AGL_EXT
- GenProgramsNV : AGL_EXT
- GenQueries : AGL_EXT
- GenQueriesARB : AGL_EXT
- GenRenderbuffersEXT : AGL_EXT
- GenSymbolsEXT : AGL_EXT
- GenTexturesEXT : AGL_EXT
- GenVertexArraysAPPLE : AGL_EXT
- GenVertexShadersEXT : AGL_EXT
- GetActiveAttrib : AGL_EXT
- GetActiveAttribARB : AGL_EXT
- GetActiveUniform : AGL_EXT
- GetActiveUniformARB : AGL_EXT
- GetActiveVaryingNV : AGL_EXT
- GetArrayObjectfvATI : AGL_EXT
- GetArrayObjectivATI : AGL_EXT
- GetAttachedObjectsARB : AGL_EXT
- GetAttachedShaders : AGL_EXT
- GetAttribLocation : AGL_EXT
- GetAttribLocationARB : AGL_EXT
- GetBooleanIndexedvEXT : AGL_EXT
- GetBufferParameteriv : AGL_EXT
- GetBufferParameterivARB : AGL_EXT
- GetBufferPointerv : AGL_EXT
- GetBufferPointervARB : AGL_EXT
- GetBufferSubData : AGL_EXT
- GetBufferSubDataARB : AGL_EXT
- GetClipPlanefOES : AGL_EXT
- GetClipPlanexOES : AGL_EXT
- GetColorTable : AGL_EXT
- GetColorTableEXT : AGL_EXT
- GetColorTableParameterfv : AGL_EXT
- GetColorTableParameterfvEXT : AGL_EXT
- GetColorTableParameterfvSGI : AGL_EXT
- GetColorTableParameteriv : AGL_EXT
- GetColorTableParameterivEXT : AGL_EXT
- GetColorTableParameterivSGI : AGL_EXT
- GetColorTableSGI : AGL_EXT
- GetCombinerInputParameterfvNV : AGL_EXT
- GetCombinerInputParameterivNV : AGL_EXT
- GetCombinerOutputParameterfvNV : AGL_EXT
- GetCombinerOutputParameterivNV : AGL_EXT
- GetCombinerStageParameterfvNV : AGL_EXT
- GetCompressedTexImage : AGL_EXT
- GetCompressedTexImageARB : AGL_EXT
- GetConvolutionFilter : AGL_EXT
- GetConvolutionFilterEXT : AGL_EXT
- GetConvolutionParameterfv : AGL_EXT
- GetConvolutionParameterfvEXT : AGL_EXT
- GetConvolutionParameteriv : AGL_EXT
- GetConvolutionParameterivEXT : AGL_EXT
- GetConvolutionParameterxvOES : AGL_EXT
- GetDetailTexFuncSGIS : AGL_EXT
- GetFenceivNV : AGL_EXT
- GetFinalCombinerInputParameterfvNV : AGL_EXT
- GetFinalCombinerInputParameterivNV : AGL_EXT
- GetFixedvOES : AGL_EXT
- GetFogFuncSGIS : AGL_EXT
- GetFragDataLocationEXT : AGL_EXT
- GetFragmentLightfvSGIX : AGL_EXT
- GetFragmentLightivSGIX : AGL_EXT
- GetFragmentMaterialfvSGIX : AGL_EXT
- GetFragmentMaterialivSGIX : AGL_EXT
- GetFramebufferAttachmentParameterivEXT : AGL_EXT
- GetHandleARB : AGL_EXT
- GetHistogram : AGL_EXT
- GetHistogramEXT : AGL_EXT
- GetHistogramParameterfv : AGL_EXT
- GetHistogramParameterfvEXT : AGL_EXT
- GetHistogramParameteriv : AGL_EXT
- GetHistogramParameterivEXT : AGL_EXT
- GetHistogramParameterxvOES : AGL_EXT
- GetImageTransformParameterfvHP : AGL_EXT
- GetImageTransformParameterivHP : AGL_EXT
- GetInfoLogARB : AGL_EXT
- GetInstrumentsSGIX : AGL_EXT
- GetIntegerIndexedvEXT : AGL_EXT
- GetInvariantBooleanvEXT : AGL_EXT
- GetInvariantFloatvEXT : AGL_EXT
- GetInvariantIntegervEXT : AGL_EXT
- GetLightxOES : AGL_EXT
- GetListParameterfvSGIX : AGL_EXT
- GetListParameterivSGIX : AGL_EXT
- GetLocalConstantBooleanvEXT : AGL_EXT
- GetLocalConstantFloatvEXT : AGL_EXT
- GetLocalConstantIntegervEXT : AGL_EXT
- GetMapAttribParameterfvNV : AGL_EXT
- GetMapAttribParameterivNV : AGL_EXT
- GetMapControlPointsNV : AGL_EXT
- GetMapParameterfvNV : AGL_EXT
- GetMapParameterivNV : AGL_EXT
- GetMapxvOES : AGL_EXT
- GetMaterialxOES : AGL_EXT
- GetMinmax : AGL_EXT
- GetMinmaxEXT : AGL_EXT
- GetMinmaxParameterfv : AGL_EXT
- GetMinmaxParameterfvEXT : AGL_EXT
- GetMinmaxParameteriv : AGL_EXT
- GetMinmaxParameterivEXT : AGL_EXT
- GetObjectBufferfvATI : AGL_EXT
- GetObjectBufferivATI : AGL_EXT
- GetObjectParameterfvARB : AGL_EXT
- GetObjectParameterivARB : AGL_EXT
- GetOcclusionQueryivNV : AGL_EXT
- GetOcclusionQueryuivNV : AGL_EXT
- GetPixelMapxv : AGL_EXT
- GetPixelTexGenParameterfvSGIS : AGL_EXT
- GetPixelTexGenParameterivSGIS : AGL_EXT
- GetPointervEXT : AGL_EXT
- GetProgramEnvParameterdvARB : AGL_EXT
- GetProgramEnvParameterfvARB : AGL_EXT
- GetProgramEnvParameterIivNV : AGL_EXT
- GetProgramEnvParameterIuivNV : AGL_EXT
- GetProgramfv : AGL_EXT
- GetProgramInfoLog : AGL_EXT
- GetProgramiv : AGL_EXT
- GetProgramivARB : AGL_EXT
- GetProgramivNV : AGL_EXT
- GetProgramLocalParameterdvARB : AGL_EXT
- GetProgramLocalParameterfvARB : AGL_EXT
- GetProgramLocalParameterIivNV : AGL_EXT
- GetProgramLocalParameterIuivNV : AGL_EXT
- GetProgramNamedParameterdvNV : AGL_EXT
- GetProgramNamedParameterfvNV : AGL_EXT
- GetProgramParameterdvNV : AGL_EXT
- GetProgramParameterfvNV : AGL_EXT
- GetProgramStringARB : AGL_EXT
- GetProgramStringNV : AGL_EXT
- GetQueryiv : AGL_EXT
- GetQueryivARB : AGL_EXT
- GetQueryObjecti64vEXT : AGL_EXT
- GetQueryObjectiv : AGL_EXT
- GetQueryObjectivARB : AGL_EXT
- GetQueryObjectui64vEXT : AGL_EXT
- GetQueryObjectuiv : AGL_EXT
- GetQueryObjectuivARB : AGL_EXT
- GetRenderbufferParameterivEXT : AGL_EXT
- GetSeparableFilter : AGL_EXT
- GetSeparableFilterEXT : AGL_EXT
- GetShaderfv : AGL_EXT
- GetShaderInfoLog : AGL_EXT
- GetShaderiv : AGL_EXT
- GetShaderSource : AGL_EXT
- GetShaderSourceARB : AGL_EXT
- GetSharpenTexFuncSGIS : AGL_EXT
- GetTexBumpParameterfvATI : AGL_EXT
- GetTexBumpParameterivATI : AGL_EXT
- GetTexEnvxvOES : AGL_EXT
- GetTexFilterFuncSGIS : AGL_EXT
- GetTexGenxvOES : AGL_EXT
- GetTexLevelParameterxvOES : AGL_EXT
- GetTexParameterxvOES : AGL_EXT
- GetTrackMatrixivNV : AGL_EXT
- GetTransformFeedbackVaryingNV : AGL_EXT
- GetUniformBufferSizeEXT : AGL_EXT
- GetUniformfv : AGL_EXT
- GetUniformfvARB : AGL_EXT
- GetUniformiv : AGL_EXT
- GetUniformivARB : AGL_EXT
- GetUniformLocation : AGL_EXT
- GetUniformLocationARB : AGL_EXT
- GetUniformOffsetEXT : AGL_EXT
- GetUniformuivEXT : AGL_EXT
- GetVariantArrayObjectfvATI : AGL_EXT
- GetVariantArrayObjectivATI : AGL_EXT
- GetVariantBooleanvEXT : AGL_EXT
- GetVariantFloatvEXT : AGL_EXT
- GetVariantIntegervEXT : AGL_EXT
- GetVariantPointervEXT : AGL_EXT
- GetVaryingLocationNV : AGL_EXT
- GetVertexAttribArrayObjectfvATI : AGL_EXT
- GetVertexAttribArrayObjectivATI : AGL_EXT
- GetVertexAttribdv : AGL_EXT
- GetVertexAttribdvARB : AGL_EXT
- GetVertexAttribdvNV : AGL_EXT
- GetVertexAttribfv : AGL_EXT
- GetVertexAttribfvARB : AGL_EXT
- GetVertexAttribfvNV : AGL_EXT
- GetVertexAttribIivEXT : AGL_EXT
- GetVertexAttribIuivEXT : AGL_EXT
- GetVertexAttribiv : AGL_EXT
- GetVertexAttribivARB : AGL_EXT
- GetVertexAttribivNV : AGL_EXT
- GetVertexAttribPointerv : AGL_EXT
- GetVertexAttribPointervARB : AGL_EXT
- GetVertexAttribPointervNV : AGL_EXT
- GlobalAlphaFactorbSUN : AGL_EXT
- GlobalAlphaFactordSUN : AGL_EXT
- GlobalAlphaFactorfSUN : AGL_EXT
- GlobalAlphaFactoriSUN : AGL_EXT
- GlobalAlphaFactorsSUN : AGL_EXT
- GlobalAlphaFactorubSUN : AGL_EXT
- GlobalAlphaFactoruiSUN : AGL_EXT
- GlobalAlphaFactorusSUN : AGL_EXT
- glyph_coords : FONT_AGL_DATA
- glyph_num : AGL_GLYPH